> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onconsul.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Bank Account

Update metadata on a bank account. Currently only the
display name can be changed.


## OpenAPI

````yaml patch /bank_accounts/{id}
openapi: 3.0.3
info:
  title: Consul API
  version: 0.0.1
servers: []
security: []
paths:
  /bank_accounts/{id}:
    patch:
      operationId: UpdateBankAccount
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBankAccountBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankAccount'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    UpdateBankAccountBody:
      additionalProperties: false
      properties:
        name:
          maxLength: 255
          minLength: 1
          type: string
      type: object
    BankAccount:
      additionalProperties: false
      properties:
        ars_transfers:
          $ref: '#/components/schemas/ARSTransfersInfo'
        brl_pix:
          $ref: '#/components/schemas/BRLPixInfo'
        cad_eft:
          $ref: '#/components/schemas/CADEftInfo'
        cop_ach:
          $ref: '#/components/schemas/COPAchInfo'
        created_at:
          format: date-time
          type: string
        eur_sepa:
          $ref: '#/components/schemas/EURSepaInfo'
        id:
          type: string
        mxn_spei:
          $ref: '#/components/schemas/MXNSpeiInfo'
        name:
          type: string
        status:
          $ref: '#/components/schemas/BankAccountStatus'
        usd_ach:
          $ref: '#/components/schemas/USDRailInfo'
        usd_domestic_wire:
          $ref: '#/components/schemas/USDRailInfo'
      required:
        - id
        - name
        - status
        - created_at
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          example: Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          example: https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          example: 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          example: Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          example: https://example.com/errors/example
          format: uri
          type: string
      type: object
    ARSTransfersInfo:
      additionalProperties: false
      properties:
        account_type:
          $ref: '#/components/schemas/ARSTransfersType'
        account_value:
          type: string
        beneficiary_name:
          type: string
      required:
        - beneficiary_name
        - account_type
        - account_value
      type: object
    BRLPixInfo:
      additionalProperties: false
      properties:
        pix_key:
          type: string
      required:
        - pix_key
      type: object
    CADEftInfo:
      additionalProperties: false
      properties:
        account_number:
          type: string
        bank_account_holder_type:
          $ref: '#/components/schemas/BankAccountHolderType'
        bank_account_type:
          $ref: '#/components/schemas/BankAccountType'
        institution_number:
          type: string
        owner_business_name:
          type: string
        owner_first_name:
          type: string
        owner_last_name:
          type: string
        transit_number:
          type: string
      required:
        - account_number
        - transit_number
        - institution_number
        - bank_account_type
        - bank_account_holder_type
      type: object
    COPAchInfo:
      additionalProperties: false
      properties:
        account_type:
          $ref: '#/components/schemas/BankAccountType'
        bank_account:
          type: string
        bank_code:
          type: string
        beneficiary_first_name:
          type: string
        beneficiary_last_name:
          type: string
        document_id:
          type: string
        document_type:
          $ref: '#/components/schemas/COPDocumentType'
        email:
          type: string
      required:
        - beneficiary_first_name
        - beneficiary_last_name
        - document_id
        - document_type
        - email
        - bank_code
        - bank_account
        - account_type
      type: object
    EURSepaInfo:
      additionalProperties: false
      properties:
        bank_account_holder_type:
          $ref: '#/components/schemas/BankAccountHolderType'
        bank_account_type:
          $ref: '#/components/schemas/BankAccountType'
        iban:
          type: string
        owner_address:
          $ref: '#/components/schemas/Address'
        owner_business_name:
          type: string
        owner_first_name:
          type: string
        owner_last_name:
          type: string
      required:
        - iban
        - bank_account_type
        - bank_account_holder_type
        - owner_address
      type: object
    MXNSpeiInfo:
      additionalProperties: false
      properties:
        beneficiary_name:
          type: string
        spei_clabe:
          type: string
      required:
        - beneficiary_name
        - spei_clabe
      type: object
    BankAccountStatus:
      enum:
        - active
        - archived
      type: string
    USDRailInfo:
      additionalProperties: false
      properties:
        account_number:
          type: string
        bank_account_holder_type:
          $ref: '#/components/schemas/BankAccountHolderType'
        bank_account_type:
          $ref: '#/components/schemas/BankAccountType'
        owner_address:
          $ref: '#/components/schemas/Address'
        owner_business_name:
          type: string
        owner_first_name:
          type: string
        owner_last_name:
          type: string
        routing_number:
          type: string
      required:
        - account_number
        - routing_number
        - bank_account_type
        - bank_account_holder_type
        - owner_address
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    ARSTransfersType:
      enum:
        - cvu
        - cbu
        - alias
      type: string
    BankAccountHolderType:
      enum:
        - business
        - individual
      type: string
    BankAccountType:
      enum:
        - checking
        - savings
      type: string
    COPDocumentType:
      enum:
        - cc
        - ce
        - nit
        - pass
        - pep
      type: string
    Address:
      additionalProperties: false
      properties:
        city:
          type: string
        country:
          $ref: '#/components/schemas/CountryCode'
        line1:
          type: string
        line2:
          type: string
        postal_code:
          type: string
        state:
          type: string
      required:
        - country
        - line1
        - city
        - state
        - postal_code
      type: object
    CountryCode:
      enum:
        - AUS
        - AUT
        - AZE
        - ALB
        - DZA
        - ASM
        - AIA
        - AGO
        - AND
        - ATG
        - ARE
        - ARG
        - ARM
        - ABW
        - AFG
        - BHS
        - BGD
        - BRB
        - BHR
        - BLR
        - BLZ
        - BEL
        - BEN
        - BMU
        - BGR
        - BOL
        - BIH
        - BWA
        - BRA
        - IOT
        - BRN
        - BFA
        - BDI
        - BTN
        - VUT
        - VAT
        - GBR
        - HUN
        - VEN
        - VGB
        - VIR
        - TLS
        - VNM
        - GAB
        - HTI
        - GUY
        - GMB
        - GHA
        - GLP
        - GTM
        - GIN
        - GNB
        - DEU
        - GIB
        - HND
        - HKG
        - GRD
        - GRL
        - GRC
        - GEO
        - GUM
        - DNK
        - COD
        - DJI
        - DMA
        - DOM
        - EGY
        - ZMB
        - ZWE
        - ISR
        - IND
        - IDN
        - JOR
        - IRQ
        - IRN
        - IRL
        - ISL
        - ESP
        - ITA
        - YEM
        - KAZ
        - CYM
        - KHM
        - CMR
        - CAN
        - QAT
        - KEN
        - CYP
        - KIR
        - CHN
        - COL
        - COM
        - COG
        - PRK
        - KOR
        - CRI
        - CIV
        - CUB
        - KWT
        - KGZ
        - LAO
        - LVA
        - LSO
        - LBR
        - LBN
        - LBY
        - LTU
        - LIE
        - LUX
        - MUS
        - MRT
        - MDG
        - MYT
        - MAC
        - MKD
        - MWI
        - MYS
        - MLI
        - MDV
        - MLT
        - MNP
        - MAR
        - MTQ
        - MHL
        - MEX
        - FSM
        - MOZ
        - MDA
        - MCO
        - MNG
        - MSR
        - MMR
        - NAM
        - NRU
        - NPL
        - NER
        - NGA
        - NLD
        - NIC
        - NIU
        - NZL
        - NCL
        - NOR
        - OMN
        - IMN
        - SHN
        - WLF
        - CPV
        - COK
        - WSM
        - TCA
        - PAK
        - PLW
        - PSE
        - PAN
        - PNG
        - PRY
        - PER
        - POL
        - PRT
        - PRI
        - REU
        - RUS
        - RWA
        - ROU
        - SLV
        - SMR
        - STP
        - SAU
        - SWZ
        - SYC
        - SEN
        - SPM
        - VCT
        - KNA
        - LCA
        - SGP
        - SYR
        - SVK
        - SVN
        - USA
        - SLB
        - SOM
        - SDN
        - SUR
        - SLE
        - TJK
        - TWN
        - THA
        - TZA
        - TGO
        - TKL
        - TON
        - TTO
        - TUV
        - TUN
        - TKM
        - TUR
        - UGA
        - UZB
        - UKR
        - URY
        - FRO
        - FJI
        - PHL
        - FIN
        - FLK
        - FRA
        - GUF
        - PYF
        - HRV
        - CAF
        - TCD
        - CZE
        - CHL
        - CHE
        - SWE
        - LKA
        - ECU
        - GNQ
        - ERI
        - EST
        - ETH
        - ZAF
        - SGS
        - JAM
        - MNE
        - BLM
        - SXM
        - SRB
        - BES
        - GGY
        - JEY
        - CUW
        - MAF
        - SSD
        - JPN
      type: string

````